#!/bin/sh

bootlogo='/usr/share/gfxboot/@DESIGN@/bootlogo'

if [ ! -f "$bootlogo" ]; then
	echo "${0##*/} - SKIP: $bootlogo not found"
	exit 0
fi
cd "$WORKDIR"
mkdir -p syslinux
cd syslinux

# unpack
cpio -iduV <"$bootlogo"

# pack
printf 'init\nlanguages\n' |
	cpio -oV >bootlogo
